TULISAN - Feature #3851

Autogenerate SubLedgerlID ketika create Customer Master Data
09/08/2025 04:37 PM - haykal haykal

Status: Assigned Start date: 09/08/2025
Priority: Normal Due date: 09/12/2025
Assignee: Kezia Pawitra Yulianti % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear Developer,

Sesuai permintaan Bapak dan user Tulisan, jadinya ingin setelah create Customer Master Data (setelah Save Successfull),
SubLedgerlID nya juga otomatis kecreate.

Untk ID nya mengikuti running number yang sedang berjalan saja (Jadi CustomerID dan SLID tidak harus sama)

Dan untk semua field-field yg sama antara PMDCUS0001 dan PMDSL0001 apabila user mengisikan ketika Create Customer; maka
otomatis di Sub Ledger MD field-field tersebut otomatis terisi. Field-field yg sama adalah sebagai berikut:
*Description
*IndustryType
*BusinessType
*CountrylD
*Province

*City
*BranchCode
*Address
*PostalCode
*ContactPerson
*OfficePhone
*PICPhone
*Handphone
*Email
*CreateBy
*CreateDate
*ExternallD
*BillingInfo
*UserID

*Photo
*VirtualAccount
*NPWP

Dan ingin agar field SubLedgerID yg ada di PMDCUS0001 otomatis terisi (berdasarkan SLID yg terautogenerate)
Dan agar field CustomerID yg ada di PMDSL0001 otomatis terisi berdasarkan CustomerID yg tercreate (sumber autogenerate SLID)

Tolong dibuat seperti itu ya.
Menu: Customer Master Data dan Sub Ledger MD

Port: https://tulisan-dev.minovais.com/
DB: MinovaES_Tulisan_Dev (di 89)

Terimakasih.

History

#1 - 09/08/2025 06:03 PM - Kezia Pawitra Yulianti
- Due date set to 09/12/2025
- Status changed from New to Assigned

- Assignee changed from Kezia Pawitra Yulianti to haykal haykal

haykal,
https://tulisan-dev.minovais.com/

untuk ini di ES nya udah di bikin belum fungsi nya saat add customer?
Jika sudah, artinya ini tinggal auto saat create dr CRM ya?
Minta tolong ini pakai fungsi yg udah ada di ES aja kalau gt, infoin fungsinya apa namanya jadi bs dipake buat CRM jg.

Tks

#2 - 09/09/2025 08:53 AM - haykal haykal

- Assignee changed from haykal haykal to Kezia Pawitra Yulianti

Di ES blm Mbak. Mungkin bisa didevelop di ES dulu.

Terimakasih.
